summarylogtreecommitdiffstats
path: root/servicewall.install
diff options
context:
space:
mode:
Diffstat (limited to 'servicewall.install')
-rw-r--r--servicewall.install21
1 files changed, 21 insertions, 0 deletions
diff --git a/servicewall.install b/servicewall.install
new file mode 100644
index 000000000000..ae43ecf33206
--- /dev/null
+++ b/servicewall.install
@@ -0,0 +1,21 @@
+## arg 1: the new package version
+post_install() {
+ braise status | grep -q "enabled" || (
+ echo "To enable ServiceWall, issue a\n\t# braise enable"
+ )
+}
+
+## arg 1: the new package version
+## arg 2: the old package version
+post_upgrade() {
+ braise status | grep -q "enabled" && (
+ echo "reloading ServiceWall";
+ braise reload
+ )
+}
+
+## arg 1: the old package version
+pre_remove() {
+ echo "disabling ServiceWall";
+ braise disable
+}